package wtf.opal.event;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import wtf.opal.event.registry.EventRegistry;

@Environment(EnvType.CLIENT)
public final class EventDispatcher {
   private static final EventRegistry eventRegistry = new EventRegistry();

   private EventDispatcher() {
   }

   public static void subscribe(Object subscriber) {
      eventRegistry.subscribe(subscriber);
   }

   public static void dispatch(Object event) {
      eventRegistry.dispatch(event);
   }
}
